##### 7.5.3.0. centralizerVS

Procedure from library `central.lib` (see central_lib).

Usage:
  centralizerVS( F, D ); F ideal, D int

Return:
  ideal, generated by computed elements

Purpose:
  computes a vector space basis of centralizer(F) up to degree D

Note:
  D must be non-negative

Example:

    LIB "central.lib";
    ring AA = 0,(x,y,z),dp;
    matrix D[3][3]=0;
    D[1,2]=-z;  D[1,3]=2*x;  D[2,3]=-2*y;
    def A = nc_algebra(1,D); setring A; // this algebra is U(sl_2)
    ideal F = x, y;
    // find generators of the vector space of elements
    // of degree <= 4 commuting with x and y:
    ideal C = centralizerVS(F, 4);
    C;
    ==> C[1]=4xy+z2-2z
    ==> C[2]=16x2y2+8xyz2+z4-32xyz-4z3-4z2+16z
    inCentralizer(C, F); // check the result
    ==> 1

See also: centerVS; centralizer; inCentralizer.

User manual for Singular version 4.4.1, 2025, generated by texi2html.